summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/vpp/gcc-build.sh
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2020-09-24 14:57:18 +0000
committerGerrit Code Review <gerrit@fd.io>2020-09-24 14:57:18 +0000
commit7640b9384ee32bd7d16c9034ea81336dac1782f8 (patch)
treefd0d4fd5cc7aa6aa6ce6ac9f63f619da75ef6c5b /jjb/scripts/vpp/gcc-build.sh
parentebe17b4c8bb2372cba231e81f1ac14eca8b08d4f (diff)
parent4cb9fe9cddc463ffc1979059d7de83d339033b76 (diff)
Merge "Refactor vpp job names to align with jenkins labels"
Diffstat (limited to 'jjb/scripts/vpp/gcc-build.sh')
-rw-r--r--jjb/scripts/vpp/gcc-build.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/jjb/scripts/vpp/gcc-build.sh b/jjb/scripts/vpp/gcc-build.sh
new file mode 100644
index 000000000..6f8b8f686
--- /dev/null
+++ b/jjb/scripts/vpp/gcc-build.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+# basic build script example
+set -xe -o pipefail
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
+echo OS_ID: $OS_ID
+echo OS_VERSION_ID: $OS_VERSION_ID
+
+# do nothing but print the current slave hostname
+hostname
+
+echo "cat /etc/bootstrap.sha"
+if [ -f /etc/bootstrap.sha ];then
+ cat /etc/bootstrap.sha
+else
+ echo "Cannot find cat /etc/bootstrap.sha"
+fi
+
+echo "cat /etc/bootstrap-functions.sha"
+if [ -f /etc/bootstrap-functions.sha ];then
+ cat /etc/bootstrap-functions.sha
+else
+ echo "Cannot find cat /etc/bootstrap-functions.sha"
+fi
+
+echo "sha1sum of this script: ${0}"
+sha1sum $0
+export CC=gcc
+
+make UNATTENDED=yes install-dep
+make UNATTENDED=yes install-ext-deps
+make UNATTENDED=yes build
+# TODO: Add 'smoke test' env var to select smoke test cases
+# then update this accordingly. For now pick a few basic suites...
+MAKE_TEST_SUITES="vlib vppinfra vpe_api vapi vom bihash"
+for suite in $MAKE_TEST_SUITES ; do
+ make UNATTENDED=yes GCOV_TESTS=1 TEST_JOBS=auto TEST=$suite test
+ make UNATTENDED=yes GCOV_TESTS=1 TEST_JOBS=auto TEST=$suite test-debug
+done
+
+echo "*******************************************************************"
+echo "* VPP GCC BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"